<?php
	include "../../funcs.php";
	$_SESSION['imp_acao']			= $_REQUEST['acao'];

	$sqmode="SELECT PARAM_VALOR from param
				where EMPRES_CODIGO = '{$_SESSION['Pempresa']}'
				And FILIAL_CODIGO = '{$_SESSION['Pfilial']}'
				And PARAM_ID = 'qtd_por_etq'";
	$res	= tw_query($sqmode, $con);
	$row	= tw_fetch_row($res);
	if ($row[0]==null) $row[0]=3;
	$limite_etq = $row[0];

	if ($_SESSION['imp_acao']!='imprimir')
	{
		if (count($_POST)==0)
		{
			$_REQUEST['reimpressao_etq'] = 0;
		}
		else
		{
			$_GET['numero']		= $_REQUEST['numero'];
			$_GET['doccab']		= $_REQUEST['doccab'];
			$_GET['tip_etq']	= $_REQUEST['tip_etq'];
			$_GET['reimp']		= $_REQUEST['reimp'];
			$_GET['status']		= $_REQUEST['status'];
			$_REQUEST['reimpressao_etq'] = 1;

			$sql_reimp_etq	= "UPDATE docitm SET docitm_texto1='0'
								WHERE doccab_seq='{$_GET['doccab']}'";
			$res_reimp_etq	= tw_query($sql_reimp_etq, $con);
			//var_dump($_POST);
			foreach($_POST as $nome_campo => $valor)
			{
				if ($nome_campo=='doccab')
				{
						$doccab_seq = $valor;
				}
				else
				{
					if (is_numeric($nome_campo) and $valor>0)
					{
						if ($valor<$limite_etq) $valor=$limite_etq;
						$sql_reimp_etq	= "UPDATE docitm SET docitm_texto1='".intval($valor)."'
											WHERE doccab_seq='{$doccab_seq}'
											AND prdcad_codigo='{$nome_campo}'";
						$res_reimp_etq	= tw_query($sql_reimp_etq, $con);
					}
				}
			}
		}
	}
?>
<html><head>
	<link href="../../padrao/css/estilos.css" rel="stylesheet" type="text/css">
    <script type="text/javascript">
        function enviar(){
            action = document.forms[0].action;
            document.forms[0].action=action+'?acao=imprimir';
            document.forms[0].submit();
        }
    </script>
</head>
<?php
	$erro=0;
	cssz();

	$_SESSION['imp_status']			= $_REQUEST['status'];
	$_SESSION['imp_motivo']			= $_REQUEST['motivo'];
	$_SESSION['imp_reimp']			= $_REQUEST['reimp'];
	$_SESSION['imp_impfil_codigo']	= $_REQUEST['impfil_codigo'];
	$_SESSION['imp_doccab']			= $_REQUEST['doccab'];


	$sqmode="SELECT PARAM_VALOR from param
				where EMPRES_CODIGO = '{$_SESSION['Pempresa']}'
				And FILIAL_CODIGO = '{$_SESSION['Pfilial']}'
				And PARAM_ID = 'expurgo_etq'";
	$res	= tw_query($sqmode, $con);
	$row	= tw_fetch_row($res);
	$expurga_etq = $row[0];
	if($row[0]==null) $expurga_etq = 1;


	$sql="SELECT
			etqformu_descricao
			FROM etqformu
			WHERE etqformu_codigo = ".$_REQUEST['tip_etq'];
	$res 						= tw_query($sql,$con);
	$row						= tw_fetch_row($res);
	$_SESSION['imp_tip_etq'] 	= $row[0];

	//if ($_REQUEST['tip_etq']!=null)
	//{
		if ($_SESSION['imp_acao']=='imprimir')
		{
			if ($_SESSION['imp_motivo']<>'' or $_SESSION['imp_reimp']==0)
			{
				if ($_SESSION['imp_impfil_codigo']<>'')
				{

					$sql="SELECT
							a.DOCCAB_TIPOETIQUETA
							, b.etqformu_codigo
							, b.ETQFORMU_DESCRICAO
							, a.DOCCAB_NUMEROPEDIDO
							, a.DOCCAB_NUMERO
							, a.DOCCAB_LOCALIMPRESSAO
							, a.DOCCAB_STATUS
							, a.DOCCAB_QTDREIMPR
							 FROM DOCCAB a
							 JOIN etqformu b
							 ON a.doccab_layoutetiqueta = b.etqformu_codigo
							 WHERE DOCCAB_SEQ = '".$_SESSION['imp_doccab']."'";

					//echo "<pre>".$sql;exit;

					$res 					= tw_query($sql,$con);
					$row					= tw_fetch_row($res);
					$tip_etq 				= intval($row[0]);
					$des_etq 				= $row[2];
					$pedido_n				= $row[3];
					$setor					= '';
					$secao					= '';
					$solicitacao			= $row[4];
					$produto				= '';
					$tip_pedido				= '';
					$fornecedor				= '';
					$local_imp				= $row[5];
					$status					= $row[6];
					$reimp					= $row[7];

					if (is_numeric($tip_etq) and trim($tip_etq)!='' and $tip_etq!=0)
					{
						//Fila da impressora
						$sq_imptip="select  IMPTIP_CODIGO,
									impfil_dispositivo,
									impfil_codigo
									from  impfil
									where IMPFIL_CODIGO = '".$_SESSION['imp_impfil_codigo']."'";
						$res_imptip=tw_query($sq_imptip,$_SESSION['con']);
						$row_imptip=tw_fetch_row($res_imptip);
						$fila_imp	= $row_imptip[0];
						$impdisp 	= $row_imptip[1];

						$sql="SELECT
								etqcad_codigo
								, etqcad_comandos
								 FROM etqcad
								 WHERE imptip_codigo = '".$fila_imp."' and etqtip_codigo='CAB".$tip_etq."'";
						$res 		= tw_query($sql,$con);
						$row		= tw_fetch_row($res);
						$cab = $row[1];

						$sql="SELECT
								etqcad_codigo
								, etqcad_comandos
								 FROM etqcad
								 WHERE imptip_codigo = '".$fila_imp."' and etqtip_codigo='SUB".$tip_etq."'";
						$res 		= tw_query($sql,$con);
						$row		= tw_fetch_row($res);
						$sub = $row[1];

						$sql="SELECT
								etqcad_codigo
								, etqcad_comandos
								 FROM etqcad
								 WHERE imptip_codigo = '".$fila_imp."' and etqtip_codigo='ITM".$tip_etq."'";
						$res 		= tw_query($sql,$con);
						$row		= tw_fetch_row($res);
						$itm = $row[1];

						$filtro='';

						if (trim($cab)!='' and trim($sub)!='' and trim($itm)!='')
						{

							$sql="SELECT
									  S.DOCCAB_SEQDOC C0
									, S.DOCTIP_CODIGO C1
									, S.DOCCAB_LOCALORIGEM C2
									, S.DOCCAB_LOCALDESTINO C3
									, S.DOCCAB_DATA C4
									, S.DOCCAB_NUMERO C5
									, S.DOCCAB_NUMEROEXT C6
									, S.DOCCAB_LOJA C7
									, S.DOCCAB_NUMEROSUBST C8
									, S.DOCCAB_NUMEROPEDIDO C9
									, S.DOCCAB_BACKORDER C10
									, S.DOCCAB_ESTILO C11
									, S.DOCCAB_LOCALIMPRESSAO C12
									, S.DOCCAB_RAZAOSOCIAL C13
									, S.DOCCAB_CNPJ C14
									, S.DOCCAB_NUMEROSEMANA C15
									, S.DOCCAB_TIPOETIQUETA C16
									, S.DOCCAB_LAYOUTETIQUETA C17
									, S.DOCCAB_TIPOEVENTO C18
									, S.DOCCAB_DATALIMITE C19
									, S.DOCCAB_DATAOCORRENCIA C20
									, S.DOCCAB_QTDREIMPR C21
									, S.DOCCAB_MOTREIMPR C22
									, S.DOCCAB_DATAEMISSAO C23
									, D.PRDCAD_CODIGO C24
									, D.DOCITM_PRDCADDIGITO C25
									, D.DOCITM_COORDENADOS C26
									, D.DOCITM_PRDCADDESCR C27
									, D.DOCITM_TEMA C28
									, D.SETOR_CODIGO C29
									, D.DOCITM_TAMANHO C30
									, D.DOCITM_SECAO C31
									, D.DOCITM_FAIXAS C32
									, D.DOCITM_FAIXAPRECO C33
									, D.DOCITM_PRECODE C34
									, D.DOCITM_PRECOPOR C35 ";

								if ($_REQUEST['reimpressao_etq']==0)
								{
									$sql=$sql.", D.DOCITM_QDE C36";
								}
								else
								{
									$sql=$sql.", D.DOCITM_TEXTO1 C36";
								}

								$sql=$sql."
									, D.DOCITM_SUBSETOR C37
									, D.DOCITM_COR C38
									, D.DOCITM_ENDERECAMENTO C39
								FROM docitm D
									LEFT JOIN doccab S
									ON (D.DOCCAB_SEQ = S.DOCCAB_SEQ)
									WHERE D.DOCCAB_SEQ= '".$_SESSION['imp_doccab']."' ";

								if ($_REQUEST['reimpressao_etq']==1)
								{
									$sql=$sql."AND D.DOCITM_TEXTO1 > '0' ";
								}


									$sql=$sql." ORDER BY D.DOCITM_COR, D.DOCITM_TAMANHO"; //Aurelio - alterei a ordem
									//$sql=$sql." ORDER BY D.PRDCAD_CODIGO"; //Aurelio - alterei a ordem

							//echo $sql;exit;

							$res=tw_query($sql,$con);

							$etq_final	= '';
							$etq 		= $cab;





							$popula_cab=0;
							$cont =2;
							$i=0;
							while (($row=tw_fetch_row($res)))
							{
								//echo '<pre>';var_dump($row);exit;
								if (substr($row[24],0,1) != "0"){
									if($cont%2==0){
								   $etq = $etq.''.$sub;}
								   $limite = 1;
								   $limiteS = ceil($row[36]/$limite_etq);
								}else{
								    $etq = $etq.''.$sub;
								    $limite = ceil($row[36]/$limite_etq);}

								$etq =	  $etq.''.$itm;
								$etq_aux = $itm;


								//Realiza substituição dos campos do layout da etiqueta
								$etq=str_replace('%QTD_ETQ%',$limite,$etq);
								$etq_aux=str_replace('%QTD_ETQ%',$limite,$etq_aux);
								$etq=str_replace('%ID_MENSAGEM%',$row[0],$etq);
								$etq=str_replace('%TIPO_MENSAGEM%',$row[1],$etq);
								$etq=str_replace('%LOCAL_ORIGEM%',$row[2],$etq);
								$etq=str_replace('%LOCAL_DESTINO%',$row[3],$etq);
								$etq=str_replace('%DATA%',$row[4],$etq);
								$etq=str_replace('%NUMERO_SOLICITACAO%',$row[5],$etq);
								$etq=str_replace('%EXTENSAO_SOLICITACAO%',$row[6],$etq);
								$etq=str_replace('%LOJA%',$row[7],$etq);
								$etq=str_replace('%SOLICITACAO_SUBST%',$row[8],$etq);
								$etq=str_replace('%NUMERO_PEDIDO%',$row[9],$etq);
								$etq=str_replace('%NUMERO_BACKORDER%',$row[10],$etq);
								$etq=str_replace('%CODIGO_ESTILO%',$row[11],$etq);
								$etq=str_replace('%LOCAL_IMPRESSAO%',$row[12],$etq);
								$etq=str_replace('%RAZAO_SOCIAL%',$row[13],$etq);
								$etq=str_replace('%CNPJ_LOCAL_IMPRESSAO%',$row[14],$etq);
								$etq=str_replace('%NUMERO_SEMANA%',$row[15],$etq);
								$etq_aux=str_replace('%NUMERO_SEMANA%',$row[15],$etq_aux);
								$etq=str_replace('%TIPO_ETIQUETA%',$row[16],$etq);
								$etq=str_replace('%LAYOUT_ETIQUETA%',$row[17],$etq);
								$etq=str_replace('%TIPO_EVENTO%',$row[18],$etq);
								$etq=str_replace('%DATA_ENTREGA%',$row[19],$etq);
								$etq=str_replace('%data_ocorrencia%',$row[20],$etq);
								$etq=str_replace('%quantid_reimpr%',$row[21],$etq);
								$etq=str_replace('%motreimpr%',$row[22],$etq);
								$etq=str_replace('%DATA_SOLICITACAO%',$row[23],$etq);
								
								$etq=str_replace('%CODIGO%',$row[24],$etq);
								$etq_aux=str_replace('%CODIGO%',$row[24],$etq_aux);
								// $etq=str_replace('%CODIGO%', $row[24],$etq); //Aurelio
								$etq=str_replace('%CODIGO_B%',$row[24].$row[25],$etq);
								$etq_aux=str_replace('%CODIGO_B%',$row[24].$row[25],$etq_aux);
								$Resultado = $row[25];


								//$etq=str_replace('%DIGITO%',$row[25],$etq);
								//$etq_aux=str_replace('%DIGITO%',$row[25],$etq_aux);
								$etq=str_replace('%DIGITO%',$Resultado,$etq);
								$etq_aux=str_replace('%DIGITO%',$Resultado,$etq_aux);

								$etq=str_replace('%COORDENADOS%',$row[26],$etq);
								$etq=str_replace('%DESCRICAO%',substr($row[27],0,15),$etq);
								$etq_aux=str_replace('%DESCRICAO%',substr($row[27],0,15),$etq_aux);
								$etq=str_replace('%TEMA%',$row[28],$etq);
								$etq_aux=str_replace('%TEMA%',$row[28],$etq_aux);
								$etq=str_replace('%SETOR%',$row[29],$etq);
								$etq=str_replace('%TAMANHO%',$row[30],$etq);
								$etq_aux=str_replace('%TAMANHO%',$row[30],$etq_aux);
								$etq=str_replace('%SECAO%',floatval($row[31]),$etq);
								$etq_aux=str_replace('%SECAO%',floatval($row[31]),$etq_aux);
								$etq=str_replace('%FAIXAS%',$row[32],$etq);
								$etq=str_replace('%FAIXA_PRECO%',$row[33],$etq);

								//Separação dos valores em Inteiro e Decimal
								$preco_de		= number_format($row[34],0);
								$preco_de		= str_replace(',','',$preco_de);
								$preco_de		= str_replace('.','',$preco_de);
								$preco_de_int	= floor($preco_de/100);
								$preco_de_dec	= $preco_de % 100;
								$etq=str_replace('%PRECO_DE_INT%',$preco_de_int,$etq);
								$etq=str_replace('%PRECO_DE_DEC%',str_pad($preco_de_dec, 2, "0", STR_PAD_LEFT),$etq);

								//Separação dos valores em Inteiro e Decimal
								$preco_por		= number_format($row[35],0);
								$preco_por		= str_replace(',','',$preco_por);
								$preco_por		= str_replace('.','',$preco_por);
								$preco_por_int	= floor($preco_por/100);
								$preco_por_dec	= $preco_por % 100;

							    //colocar branco no preço Aurelio
							    if ($preco_por_int==0)
							      {
								    $etq=str_replace('%PRECO_POR_INT%',"",$etq);
									$etq_aux=str_replace('%PRECO_POR_INT%',"",$etq_aux);
								    //$etq=str_replace('%PRECO_POR_DEC%',"",$etq);

							      }
                                else
                                  {

                                     //$preco_por_int = $preco_por_int + ($preco_por_dec/100);
                                  	 $preco_por_int = $preco_por_int.'.'.($preco_por_dec);
                                     $preco_por_int = str_replace('.',',',$preco_por_int);
                                     $etq=str_replace('%PRECO_POR_INT%',$preco_por_int, $etq);
									 $etq_aux=str_replace('%PRECO_POR_INT%',$preco_por_int, $etq_aux);
 								     //$etq=str_replace('%PRECO_POR_INT%',$preco_por_int,$etq);
								     //$etq=str_replace('%PRECO_POR_DEC%',str_pad($preco_por_dec, 2, "0", STR_PAD_LEFT),$etq);

								  }
								$etq=str_replace('%QUANTIDADE%',$row[36],$etq);
								$etq=str_replace('%SUBSETOR%',substr($row[37],0,15),$etq);
								$etq_aux=str_replace('%SUBSETOR%',substr($row[37],0,15),$etq_aux);
								$etq=str_replace('%COR%',$row[38],$etq);
								$etq_aux=str_replace('%COR%',$row[38],$etq_aux);
								$etq=str_replace('%ENDERECAMENTO%',$row[39],$etq);
								$etq_aux=str_replace('%ENDERECAMENTO%',$row[39],$etq_aux);



								if ($popula_cab==0)
								{
									$etq2=$cab;


									//Realiza substituição dos campos do layout da etiqueta
									$etq2=str_replace('%QTD_ETQ%',$limite,$etq2);
									$etq2=str_replace('%ID_MENSAGEM%',$row[0],$etq2);
									$etq2=str_replace('%TIPO_MENSAGEM%',$row[1],$etq2);
									$etq2=str_replace('%LOCAL_ORIGEM%',$row[2],$etq2);
									$etq2=str_replace('%LOCAL_DESTINO%',$row[3],$etq2);
									$etq2=str_replace('%DATA%',$row[4],$etq2);
									$etq2=str_replace('%NUMERO_SOLICITACAO%',$row[5],$etq2);
									$etq2=str_replace('%EXTENSAO_SOLICITACAO%',$row[6],$etq2);
									$etq2=str_replace('%LOJA%',$row[7],$etq2);
									$etq2=str_replace('%SOLICITACAO_SUBST%',$row[8],$etq2);
									$etq2=str_replace('%NUMERO_PEDIDO%',$row[9],$etq2);
									$etq2=str_replace('%NUMERO_BACKORDER%',$row[10],$etq2);
									$etq2=str_replace('%CODIGO_ESTILO%',$row[11],$etq2);
									$etq2=str_replace('%LOCAL_IMPRESSAO%',$row[12],$etq2);
									$etq2=str_replace('%RAZAO_SOCIAL%',$row[13],$etq2);
									$etq2=str_replace('%CNPJ_LOCAL_IMPRESSAO%',$row[14],$etq2);
									$etq2=str_replace('%NUMERO_SEMANA%',$row[15],$etq2);
									$etq2=str_replace('%TIPO_ETIQUETA%',$row[16],$etq2);
									$etq2=str_replace('%LAYOUT_ETIQUETA%',$row[17],$etq2);
									$etq2=str_replace('%TIPO_EVENTO%',$row[18],$etq2);
									$etq2=str_replace('%DATA_ENTREGA%',$row[19],$etq2);
									$etq2=str_replace('%data_ocorrencia%',$row[20],$etq2);
									$etq2=str_replace('%quantid_reimpr%',$row[21],$etq2);
									$etq2=str_replace('%motreimpr%',$row[22],$etq2);
									$etq2=str_replace('%DATA_SOLICITACAO%',$row[23],$etq2);

									//$etq2=str_replace('%CODIGO%',substr($row[24],0,(strlen($row[24])-1)),$etq2);
									//$etq2=str_replace('%CODIGO_B%',str_pad(floatval($row[24]), 12, "0", STR_PAD_LEFT),$etq2); // Aurelio int para float

								// verifica se o primeiro digito do codigo e diferente de 0 Aurelio
								if (substr($row[24],0,1) == "0")
								 {
								  // $etq2=str_replace('%CODIGO%',substr($row[24],0,(strlen($row[24])-1)),$etq2);
								   $etq2=str_replace('%CODIGO%',  $row[24],$etq2); //Aurelio
 								   $etq2=str_replace('%CODIGO_B%',str_pad(floatval($row[24]), 13, "0", STR_PAD_LEFT),$etq2);
								 }
								else
								 {
								   $etq2=str_replace('%CODIGO%',$row[24],$etq2);
 								   $etq2=str_replace('%CODIGO_B%',$row[24].$row[25],$etq2);

								  }


									$etq2=str_replace('%DIGITO%',$row[25],$etq2);
									$etq2=str_replace('%COORDENADOS%',$row[26],$etq2);
									$etq2=str_replace('%DESCRICAO%',substr($row[27],0,14),$etq2);
									$etq2=str_replace('%TEMA%',$row[28],$etq2);
									$etq2=str_replace('%SETOR%',$row[29],$etq2);
									$etq2=str_replace('%TAMANHO%',$row[30],$etq2);
									$etq2=str_replace('%SECAO%',floatval($row[31]),$etq2);
									$etq2=str_replace('%FAIXAS%',$row[32],$etq2);
									$etq2=str_replace('%FAIXA_PRECO%',$row[33],$etq2);
									//Separação dos valores em Inteiro e Decimal
									$preco_de		= number_format($row[34],0);
									$preco_de		= str_replace(',','',$preco_de);
									$preco_de		= str_replace('.','',$preco_de);
									$preco_de_int	= floor($preco_de/100);
									$preco_de_dec	= $preco_de % 100;
									$etq2=str_replace('%PRECO_DE_INT%',$preco_de_int,$etq2);
									$etq2=str_replace('%PRECO_DE_DEC%',str_pad($preco_de_dec, 2, "0", STR_PAD_LEFT),$etq2);
									//Separação dos valores em Inteiro e Decimal
									$preco_por		= number_format($row[35],0);
									$preco_por		= str_replace(',','',$preco_por);
									$preco_por		= str_replace('.','',$preco_por);
									$preco_por_int	= floor($preco_por/100);
									$preco_por_dec	= $preco_por % 100;
									//$etq2=str_replace('%PRECO_POR_INT%',$preco_por_int,$etq2);
									//$etq2=str_replace('%PRECO_POR_DEC%',str_pad($preco_por_dec, 2, "0", STR_PAD_LEFT),$etq2);
							        //colocar branco no preço Aurelio
							       if ($preco_por_int==0)
							         {
								      $etq2=str_replace('%PRECO_POR_INT%',"",$etq2);
								      //$etq2=str_replace('%PRECO_POR_DEC%',"",$etq2);

							         }
                                   else
                                    {

                                    
                                     //$preco_por_int = $preco_por_int + ($preco_por_dec/100);
                                  	 $preco_por_int = $preco_por_int.'.'.($preco_por_dec);
                                     $preco_por_int = str_replace('.',',',$preco_por_int);
                                     $etq2=str_replace('%PRECO_POR_INT%',$preco_por_int, $etq2);

								  }

									$etq2=str_replace('%QUANTIDADE%',$row[36],$etq2);
									$etq2=str_replace('%SUBSETOR%',$row[37],$etq2);
									$etq2=str_replace('%COR%',$row[38],$etq2);
									$etq2=str_replace('%ENDERECAMENTO%',$row[39],$etq2);

									$popula_cab=1;

								}

								//Alterações Jonathan
								if (substr($row[24],0,1) != "0"){ // Verifica se é calçado
									if($cont%2!=0){
									   for($i=0;$i<$limiteS-1;$i++){
										$etq = $etq .''. $etq_dir .''. $etq_aux;
										}
										$cont+=2;
									}
									else
									  $etq_dir = $etq_aux;
									  $cont++;
								}





							}
							$etq_final = $etq .''.$etq2;
							//echo '<pre>';var_dump($etq_final); exit;
							$qtd=0;
							if ($status==8) $qtd=$reimp+1;

							$sql="UPDATE
									DOCCAB
									SET DOCCAB_STATUS = 8, DOCCAB_ENVIADOS = 2, DOCCAB_QTDREIMPR = ".$qtd.", DOCCAB_MOTREIMPR = '".$_SESSION['imp_motivo']."'
									WHERE DOCCAB_SEQ = ".$_SESSION['imp_doccab'];
							$res 		= tw_query($sql,$con);


							$sql="UPDATE
									DOCITM
									SET DOCITM_STATUS = 8, DOCITM_QDECONF = DOCITM_QDE
									WHERE DOCCAB_SEQ = ".$_SESSION['imp_doccab'];
							$res 		= tw_query($sql,$con);

							$spool="".$_SESSION['Pempresa']."_".$_SESSION['Pfilial']."_".$_SESSION['Pusuario']."_".date('Ymd')."_".date('His').".txt";
							$ponteiro = fopen ($spool, "w+");
							fwrite($ponteiro, $etq_final);
							fclose ($ponteiro);

							$caminho=$_SESSION['sc_caminho'].'/modulos/separacao';

							if (strtoupper(PHP_OS)=='LINUX')
							{
								$x=shell_exec("lp -d $impdisp $caminho/$spool");//Linux
							}
							else
							{
								$x=shell_exec("print /d:$impdisp $spool");//windows
							}
							$retorno='Etiquetas enviadas para a impressora!';
							if ($expurga_etq==1) unlink("$spool");
							$_SESSION['imp_reimp']=1;
							$_SESSION['imp_status']=8;
							$_SESSION['imp_motivo']='';
						}
						else
						{
							$retorno='Erro: Layout da etiqueta não localizado. <br> Verifique os campos TIPO DA ETIQUETA e LAYOUT DE ETIQUETA<br> e realize uma nova importação.';
							$_SESSION['imp_status']=8;
							$erro=1;
						}
					}
					else
					{
						$retorno='Erro: ausênte campo TIPO DA ETIQUETA!<br> Realize nova importação.';
						$_SESSION['imp_status']=8;
						$erro=1;
					}
				}
				else
				{
					$retorno='Erro: escolha uma fila de impressão!';
					$_SESSION['imp_status']=8;
				}
			}
			else
			{
				$retorno='Erro: preencher motivo!';
				$_SESSION['imp_status']=8;

			}
		}
	//}
	//else
	//{
	//	$retorno='Erro: ausênte campo TIPO DA ETIQUETA!<br> Realize nova importação.';
	//	$_SESSION['imp_status']=8;
	//	$erro=1;
	//}

    echo '<script>';
    echo 'function formatadata(obj)';
    echo '{if (obj.value.length==2)';
    echo ' {obj.value=obj.value+"/";}';
    echo 'if (obj.value.length==5)';
    echo ' {obj.value=obj.value+"/";}
          if (obj.value.length>=10){
            obj.value=obj.value.substring(0,10);
          }
    }';
    echo '</script>';
?>
<body style="margin:0px,0px,0px,0px;">
<form action="print_etq.php" method="post">


<?
echo'<table border="0" bordercolor="#000000" align=center width="102%">';

	echo '    <tr> ';
	echo '      <td class="de1" align=right border="0" width="40%">';
	echo '         <a>  ';
	echo '         Tipo da Etiqueta : </a>';
	echo '      </td> ';
	echo ' <td class="de1" align=left border="0" width="70%">';
	echo ' '.$_SESSION['imp_tip_etq'];
	echo '<input type=hidden value='.$_REQUEST['tip_etq'].' name=tip_etq>';
	echo '<input type=hidden value='.$_REQUEST['reimpressao_etq'].' name=reimpressao_etq>';
	echo ' 		</td>';
	echo ' </tr>';



	echo '    <tr> ';
	echo '      <td class="de1" align=right border="0" width="40%">';
	echo '         <a>  ';
	echo '         Fila de Impressão : </a>';
	echo '      </td> ';
	echo ' <td class="de1" align=left border="0" width="70%">';
	echo '<input type=hidden name=doccab value='.$_SESSION['imp_doccab'].'>';
	echo '  <select dojoType="" name="impfil_codigo" onChange="" class="menor">';
	echo '   <option value="'.$_SESSION['imp_impfil_codigo'].'"';
	echo '> </option>';
	$sql="SELECT IMPFIL_CODIGO, IMPFIL_DESCRICAO FROM impfil
	   where empres_codigo='".$_SESSION['Pempresa']."'
	   and filial_codigo ='".$_SESSION['Pfilial']."'";

	$res=tw_query($sql,$con);
	while ($row=tw_fetch_row($res))
	{
			echo '   <option value="'.$row[0].'"';
			if($_SESSION['imp_impfil_codigo']==$row[0])
			echo ' selected ';
			echo '>'.$row[0].'-'.$row[1].'</option>';
	}
	echo '   </select>';
	echo ' 		</td>';
	echo ' </tr>';

	if ($_SESSION['imp_status']==8)
	{
		echo '    <tr> ';
		echo '      <td class="de1" align=right border="0" width="40%">';
		echo '         <a>  ';
		echo '         Motivo : </a>';
		echo '      </td> ';
		echo ' <td class="de1" align=left border="0" width="70%">';
		echo '<input type=hidden name=doccab value='.$_SESSION['imp_doccab'].'>';
		echo '<input type=hidden name=reimp value='.$_SESSION['imp_reimp'].'>';
		echo '<textarea rows=3 cols=50 class="menor" name=motivo>'.$_SESSION['imp_motivo'].'</textarea>';
		echo ' 		</td>';
		echo ' </tr>';
	}
	else
	{
		echo '<input type=hidden name=motivo value="">';
	}



echo ' </table>';
echo'<table border="0" bordercolor="#000000" align=center width="102%">
    <tr>
      <td class="de1" align=Left height="10" border="0" width="20%">
			<a href=tabseparacao1.php?cod='.$_REQUEST['pag'].'&pag='.$_REQUEST['pag'].'><img src="'.$_SESSION['sc_main_path'].'/Comp_WMS/icones/voltar.png" class="iconav" border=0></a>
	  </td>
      <td class="de1" align=center height="10" border="0" width="60%">'.$retorno.'<br>';
      if ($erro==0) { echo tw_button2('Imprimir','enviar();'); }
echo '<td class="de1" align=center height="10" border="0" width="20%">
</table>
';

